Sophie

Sophie

distrib > Mandriva > 2007.1 > i586 > media > main-updates-src > by-pkgid > 560a66f8a53021b4b9b753c8581c58a8 > files > 26

mozilla-firefox-2.0.0.13-1.1mdv2007.1.src.rpm

--- mozilla/browser/themes/Makefile.in.gnomestripe	2004-06-18 01:01:10.000000000 +0200
+++ mozilla/browser/themes/Makefile.in	2006-01-20 16:27:41.000000000 +0100
@@ -45,14 +45,20 @@
 #
 # Theme Selection
 #
-# Windows, GNOME/Linux    Winstripe
+# Windows                 Winstripe
 # MacOS X                 Pinstripe
+# GNOME/Linux             Gnomestripe
+# KDE/Linux               kdestripe
 #
 
 ifneq (,$(filter mac cocoa,$(MOZ_WIDGET_TOOLKIT)))
 DIRS = pinstripe
 else
+ifneq (,$(filter windows,$(MOZ_WIDGET_TOOLKIT)))
 DIRS = winstripe
+else
+DIRS = winstripe gnomestripe kdestripe
+endif
 endif
 
 include $(topsrcdir)/config/rules.mk
--- mozilla/toolkit/themes/gnomestripe/global/generate-initial-jar.sh.gnomestripe	2006-01-20 16:27:41.000000000 +0100
+++ mozilla/toolkit/themes/gnomestripe/global/generate-initial-jar.sh	2006-01-20 18:47:54.000000000 +0100
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+pwd=$PWD
+if [ ! -z "$2" ]; then
+ DEST=$1$2
+else
+ DEST=../../../../dist
+fi
+
+for i in ../../winstripe/* ; do 
+  if [ -f $i/jar.mn ]; then 
+	  grep -q classic.jar $i/jar.mn
+          if [ $? -ne 0 ]; then 
+		  continue
+	  fi
+  	  cd $i
+	  cat jar.mn | sed -e "s/classic.jar/gnomestripe.jar/" -e 's|skin/classic/||g' -e '/^[%#]/d' | perl ../../../../config/make-jars.pl -z /usr/bin/zip -d $DEST/bin/chrome/ 2>/dev/null 
+	  cd $pwd
+  fi
+done
--- mozilla/toolkit/themes/gnomestripe/global/jar.mn.gnomestripe	2005-07-13 21:04:55.000000000 +0200
+++ mozilla/toolkit/themes/gnomestripe/global/jar.mn	2006-01-23 13:59:36.000000000 +0100
@@ -1,3 +1,14 @@
+gnomestripe.jar:
++  global/popup.css
++  global/menu.css
++  global/menulist.css
++  global/toolbar.css
++  global/toolbarbutton.css
++  global/button.css
++  global/checkbox.css
++  global/radio.css
++  global/global.css
+
 classic.jar:
 +  skin/classic/global/popup.css
 +  skin/classic/global/menu.css

--- mozilla/toolkit/themes/gnomestripe/global/Makefile.in.gnomestripe	2004-06-18 23:06:37.000000000 +0200
+++ mozilla/toolkit/themes/gnomestripe/global/Makefile.in	2006-01-20 16:27:41.000000000 +0100
@@ -43,5 +43,10 @@
 
 include $(DEPTH)/config/autoconf.mk
 
+CHROME_DEPS= initial-jar
+
 include $(topsrcdir)/config/rules.mk
 
+initial-jar:
+	./generate-initial-jar.sh $(DESTDIR) $(mozappdir)
+
--- mozilla/toolkit/themes/Makefile.in.gnomestripe	2005-05-05 12:02:52.000000000 +0200
+++ mozilla/toolkit/themes/Makefile.in	2006-01-20 16:27:41.000000000 +0100
@@ -58,7 +58,7 @@
 DIRS    = qute
 endif
 ifneq (,$(filter gtk2,$(MOZ_WIDGET_TOOLKIT)))
-DIRS    += gnomestripe
+DIRS    += gnomestripe kdestripe
 endif
 endif